## XdgAppInstalledRef XdgAppInstalledRef |

## Functions

const char * | xdg_app_installed_ref_get_deploy_dir ()
guint64 | xdg_app_installed_ref_get_installed_size ()
gboolean | xdg_app_installed_ref_get_is_current ()
const char * | xdg_app_installed_ref_get_latest_commit ()
const char * | xdg_app_installed_ref_get_origin ()
GType | xdg_app_installed_ref_get_type ()
GBytes * | xdg_app_installed_ref_load_metadata ()

## Properties

gchar * | deploy-dir | Read / Write
guint64 | installed-size | Read / Write
gboolean | is-current | Read / Write
gchar * | latest-commit | Read / Write
gchar * | origin | Read / Write

## Types and Values

struct | XdgAppInstalledRef
| XdgAppInstalledRefClass

## Object Hierarchy

        GObject
        ╰── XdgAppRef
            ╰── XdgAppInstalledRef

## Description

## Functions

### xdg_app_installed_ref_get_deploy_dir ()

    const char *
    xdg_app_installed_ref_get_deploy_dir (XdgAppInstalledRef *self);

### xdg_app_installed_ref_get_installed_size ()

    guint64
    xdg_app_installed_ref_get_installed_size
                                   (XdgAppInstalledRef *self);

### xdg_app_installed_ref_get_is_current ()

    gboolean
    xdg_app_installed_ref_get_is_current (XdgAppInstalledRef *self);

### xdg_app_installed_ref_get_latest_commit ()

    const char *
    xdg_app_installed_ref_get_latest_commit
                                   (XdgAppInstalledRef *self);

### xdg_app_installed_ref_get_origin ()

    const char *
    xdg_app_installed_ref_get_origin (XdgAppInstalledRef *self);

### xdg_app_installed_ref_get_type ()

    GType
    xdg_app_installed_ref_get_type (void);

### xdg_app_installed_ref_load_metadata ()

    GBytes *
    xdg_app_installed_ref_load_metadata (XdgAppInstalledRef *self,
                                         GCancellable *cancellable,
                                         GError **error);

## Types and Values

### struct XdgAppInstalledRef

    struct XdgAppInstalledRef;

### XdgAppInstalledRefClass

    typedef struct {
      XdgAppRefClass parent_class;
    } XdgAppInstalledRefClass;

## Property Details

### The `“deploy-dir”` property

      “deploy-dir”               gchar *

Flags: Read / Write

Default value: NULL

### The `“installed-size”` property

      “installed-size”           guint64

Flags: Read / Write

Default value: 0

### The `“is-current”` property

      “is-current”               gboolean

Flags: Read / Write

Default value: FALSE

### The `“latest-commit”` property

      “latest-commit”            gchar *

Flags: Read / Write

Default value: NULL

### The `“origin”` property

      “origin”                   gchar *

Flags: Read / Write

Default value: NULL